import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Creates a data source connector that you want to use with an Amazon Kendra index.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-kendra-datasource.html">the AWS Docs</a>
*/
export function dataSource(dataSourceProps) {
    return new AwsResource('AWS::Kendra::DataSource', dataSourceProps, { Id: 'Id', Arn: 'Arn' });
}
